Voice Authentication
Service that compares an audio against a voice template issued during enrollment and returns the result with its score.
Endpoint
POST /biometric/voice/authenticationHeaders
consumer-id
string
Yes
Consumer identifier.
Request body
Content-Type: application/json
Parameters
audio
string
Yes
Audio to authenticate, in Base64.
Request example
{
"audio": "<base64 audio>",
"template": "<plantilla de voz>"
}Responses
200 Success
Response parameters
consumerId
string
Identifier of the consumer that made the call.
transactionId
string
Transaction identifier.
timestamp
string
Response timestamp in format ISO 8601.
message
string
Descriptive field for the result of the service execution.
operationResult
integer
Result code of the service execution.
match
boolean
Indicates whether the audio corresponds to the template.
matchingScore
number
Match score.
livenessScore
number
Audio liveness check score.
Other responses
400
Missing required field, audio with unsupported format, or invalid template.
401
Missing, invalid, or expired Token.
403
The consumer is not provisioned with the service VOICE_AUTHENTICATION.
The body of an error response has the form described in MIDAPI v2.
Last updated